Ext.data.JsonP.Ext_data_NodeInterface({"tagname":"class","html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Ext.Base' rel='Ext.Base' class='docClass'>Ext.Base</a><div class='subclass '><strong>Ext.data.NodeInterface</strong></div></div><h4>Requires</h4><div class='dependency'><a href='#!/api/Ext.data.Field' rel='Ext.data.Field' class='docClass'>Ext.data.Field</a></div><h4>Files</h4><div class='dependency'><a href='source/NodeInterface.html#Ext-data-NodeInterface' target='_blank'>NodeInterface.js</a></div></pre><div class='doc-contents'><p>This class is used as a set of methods that are applied to the prototype of a\nModel to decorate it with a Node API. This means that models used in conjunction with a tree\nwill have all of the tree related methods available on the model. In general this class will\nnot be used directly by the developer. This class also creates extra fields on the model if\nthey do not exist, to help maintain the tree state and UI. These fields are documented as\nconfig options.</p>\n</div><div class='members'><div id='m-cfg'><div class='definedBy'>Defined By</div><h3 class='members-title'>Config options</h3><div class='subsection'><div id='cfg-allowDrag' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-allowDrag' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-allowDrag' class='name expandable'>allowDrag</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>Set to false to deny dragging of this node. ...</div><div class='long'><p>Set to false to deny dragging of this node.</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='cfg-allowDrop' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-allowDrop' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-allowDrop' class='name expandable'>allowDrop</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>Set to false to deny dropping on this node. ...</div><div class='long'><p>Set to false to deny dropping on this node.</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='cfg-checked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-checked' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-checked' class='name expandable'>checked</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>Set to true or false to show a checkbox alongside this node. ...</div><div class='long'><p>Set to true or false to show a checkbox alongside this node.</p>\n<p>Defaults to: <code>null</code></p></div></div></div><div id='cfg-children' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-children' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-children' class='name not-expandable'>children</a><span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>[]</span></div><div class='description'><div class='short'><p>Array of child nodes.</p>\n</div><div class='long'><p>Array of child nodes.</p>\n</div></div></div><div id='cfg-cls' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-cls' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-cls' class='name not-expandable'>cls</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>CSS class to apply for this node.</p>\n</div><div class='long'><p>CSS class to apply for this node.</p>\n</div></div></div><div id='cfg-depth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-depth' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-depth' class='name expandable'>depth</a><span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span></div><div class='description'><div class='short'>The number of parents this node has. ...</div><div class='long'><p>The number of parents this node has. A root node has depth 0, a child of it depth 1, and so on...</p>\n</div></div></div><div id='cfg-expandable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-expandable' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-expandable' class='name expandable'>expandable</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>Set to true to allow for expanding/collapsing of this node. ...</div><div class='long'><p>Set to true to allow for expanding/collapsing of this node.</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='cfg-expanded' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-expanded' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-expanded' class='name expandable'>expanded</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>True if the node is expanded. ...</div><div class='long'><p>True if the node is expanded.</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='cfg-href' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-href' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-href' class='name not-expandable'>href</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>An URL for a link that's created when this config is specified.</p>\n</div><div class='long'><p>An URL for a link that's created when this config is specified.</p>\n</div></div></div><div id='cfg-hrefTarget' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-hrefTarget' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-hrefTarget' class='name expandable'>hrefTarget</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'>Target for link. ...</div><div class='long'><p>Target for link. Only applicable when <a href=\"#!/api/Ext.data.NodeInterface-cfg-href\" rel=\"Ext.data.NodeInterface-cfg-href\" class=\"docClass\">href</a> also specified.</p>\n</div></div></div><div id='cfg-icon' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-icon' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-icon' class='name not-expandable'>icon</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>URL for this node's icon.</p>\n</div><div class='long'><p>URL for this node's icon.</p>\n</div></div></div><div id='cfg-iconCls' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-iconCls' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-iconCls' class='name not-expandable'>iconCls</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>CSS class to apply for this node's icon.</p>\n</div><div class='long'><p>CSS class to apply for this node's icon.</p>\n</div></div></div><div id='cfg-index' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-index' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-index' class='name expandable'>index</a><span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span></div><div class='description'><div class='short'>The position of the node inside its parent. ...</div><div class='long'><p>The position of the node inside its parent. When parent has 4 children and the node is third amongst them,\nindex will be 2.</p>\n</div></div></div><div id='cfg-isFirst' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-isFirst' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-isFirst' class='name not-expandable'>isFirst</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'><p>True if this is the first node.</p>\n</div><div class='long'><p>True if this is the first node.</p>\n</div></div></div><div id='cfg-isLast' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-isLast' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-isLast' class='name not-expandable'>isLast</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'><p>True if this is the last node.</p>\n</div><div class='long'><p>True if this is the last node.</p>\n</div></div></div><div id='cfg-leaf' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-leaf' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-leaf' class='name expandable'>leaf</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>Set to true to indicate that this child can have no children. ...</div><div class='long'><p>Set to true to indicate that this child can have no children. The expand icon/arrow will then not be\nrendered for this node.</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='cfg-loaded' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-loaded' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-loaded' class='name expandable'>loaded</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>True if the node has finished loading. ...</div><div class='long'><p>True if the node has finished loading.</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='cfg-loading' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-loading' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-loading' class='name expandable'>loading</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'>True if the node is currently loading. ...</div><div class='long'><p>True if the node is currently loading.</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='cfg-parentId' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-parentId' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-parentId' class='name not-expandable'>parentId</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>ID of parent node.</p>\n</div><div class='long'><p>ID of parent node.</p>\n</div></div></div><div id='cfg-qtip' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-qtip' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-qtip' class='name not-expandable'>qtip</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>Tooltip text to show on this node.</p>\n</div><div class='long'><p>Tooltip text to show on this node.</p>\n</div></div></div><div id='cfg-qtitle' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-qtitle' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-qtitle' class='name not-expandable'>qtitle</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>Tooltip title.</p>\n</div><div class='long'><p>Tooltip title.</p>\n</div></div></div><div id='cfg-root' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-root' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-root' class='name not-expandable'>root</a><span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span></div><div class='description'><div class='short'><p>True if this is the root node.</p>\n</div><div class='long'><p>True if this is the root node.</p>\n</div></div></div><div id='cfg-text' class='member  not-inherited'><a href='#' class='side not-expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-cfg-text' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-cfg-text' class='name not-expandable'>text</a><span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span></div><div class='description'><div class='short'><p>The text for to show on node label.</p>\n</div><div class='long'><p>The text for to show on node label.</p>\n</div></div></div></div></div><div id='m-property'><div class='definedBy'>Defined By</div><h3 class='members-title'>Properties</h3><div class='subsection'><div id='property-childNodes' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-property-childNodes' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-property-childNodes' class='name expandable'>childNodes</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>An array of this nodes children. ...</div><div class='long'><p>An array of this nodes children.  Array will be empty if this node has no chidren.</p>\n</div></div></div><div id='property-firstChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-property-firstChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-property-firstChild' class='name expandable'>firstChild</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>A reference to this node's first child node. ...</div><div class='long'><p>A reference to this node's first child node. <code>null</code> if this node has no children.</p>\n</div></div></div><div id='property-lastChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-property-lastChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-property-lastChild' class='name expandable'>lastChild</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>A reference to this node's last child node. ...</div><div class='long'><p>A reference to this node's last child node. <code>null</code> if this node has no children.</p>\n</div></div></div><div id='property-nextSibling' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-property-nextSibling' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-property-nextSibling' class='name expandable'>nextSibling</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>A reference to this node's next sibling node. ...</div><div class='long'><p>A reference to this node's next sibling node. <code>null</code> if this node does not have a next sibling.</p>\n</div></div></div><div id='property-parentNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-property-parentNode' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-property-parentNode' class='name expandable'>parentNode</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>A reference to this node's parent node. ...</div><div class='long'><p>A reference to this node's parent node. <code>null</code> if this node is the root node.</p>\n</div></div></div><div id='property-previousSibling' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-property-previousSibling' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-property-previousSibling' class='name expandable'>previousSibling</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>A reference to this node's previous sibling node. ...</div><div class='long'><p>A reference to this node's previous sibling node. <code>null</code> if this node does not have a previous sibling.</p>\n</div></div></div><div id='property-self' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-property-self' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-property-self' class='name expandable'>self</a><span> : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a></span><strong class='protected-signature'>protected</strong></div><div class='description'><div class='short'>Get the reference to the current class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the current class from which this object was instantiated. Unlike <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>,\n<code>this.self</code> is scope-dependent and it's meant to be used for dynamic inheritance. See <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>\nfor a detailed comparison</p>\n\n<pre><code>Ext.define('My.Cat', {\n    statics: {\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        alert(this.self.speciesName); / dependent on 'this'\n\n        return this;\n    },\n\n    clone: function() {\n        return new this.self();\n    }\n});\n\n\nExt.define('My.SnowLeopard', {\n    extend: 'My.Cat',\n    statics: {\n        speciesName: 'Snow Leopard'         // My.SnowLeopard.speciesName = 'Snow Leopard'\n    }\n});\n\nvar cat = new My.Cat();                     // alerts 'Cat'\nvar snowLeopard = new My.SnowLeopard();     // alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(Ext.getClassName(clone));             // alerts 'My.SnowLeopard'\n</code></pre>\n</div></div></div></div></div><div id='m-method'><h3 class='members-title'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance Methods</h3><div id='method-appendChild' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-appendChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-appendChild' class='name expandable'>appendChild</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>/<a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>[] node</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Inserts node(s) as the last child node of this node. ...</div><div class='long'><p>Inserts node(s) as the last child node of this node.</p>\n\n<p>If the node was previously a child node of another parent node, it will be removed from that node first.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>/<a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>[]<div class='sub-desc'><p>The node or Array of nodes to append</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>The appended node if single append, or null if an array was passed</p>\n</div></li></ul></div></div></div><div id='method-bubble' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-bubble' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-bubble' class='name expandable'>bubble</a>( <span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> fn, [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope], [<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> args]</span> )</div><div class='description'><div class='short'>Bubbles up the tree from this node, calling the specified function with each node. ...</div><div class='long'><p>Bubbles up the tree from this node, calling the specified function with each node. The arguments to the function\nwill be the args provided or the current node. If the function returns false at any point,\nthe bubble is stopped.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to call</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (this reference) in which the function is executed. Defaults to the current Node.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> (optional)<div class='sub-desc'><p>The args to call the function with. Defaults to passing the current Node.</p>\n</div></li></ul></div></div></div><div id='method-callOverridden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-method-callOverridden' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-method-callOverridden' class='name expandable'>callOverridden</a>( <span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><strong class='protected-signature'>protected</strong></div><div class='description'><div class='short'>Call the original method that was previously overridden with override\n\nExt.define('My.Cat', {\n    constructor: functi...</div><div class='long'><p>Call the original method that was previously overridden with <a href=\"#!/api/Ext.Base-static-method-override\" rel=\"Ext.Base-static-method-override\" class=\"docClass\">override</a></p>\n\n<pre><code>Ext.define('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n\n        return this;\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callOverridden();\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result after calling the overridden method</p>\n</div></li></ul></div></div></div><div id='method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-method-callParent' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-method-callParent' class='name expandable'>callParent</a>( <span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><strong class='protected-signature'>protected</strong></div><div class='description'><div class='short'>Call the parent's overridden method. ...</div><div class='long'><p>Call the parent's overridden method. For example:</p>\n\n<pre><code>Ext.define('My.own.A', {\n    constructor: function(test) {\n        alert(test);\n    }\n});\n\nExt.define('My.own.B', {\n    extend: 'My.own.A',\n\n    constructor: function(test) {\n        alert(test);\n\n        this.callParent([test + 1]);\n    }\n});\n\nExt.define('My.own.C', {\n    extend: 'My.own.B',\n\n    constructor: function() {\n        alert(\"Going to call parent's overriden constructor...\");\n\n        this.callParent(arguments);\n    }\n});\n\nvar a = new My.own.A(1); // alerts '1'\nvar b = new My.own.B(1); // alerts '1', then alerts '2'\nvar c = new My.own.C(2); // alerts \"Going to call parent's overriden constructor...\"\n                         // alerts '2', then alerts '3'\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callParent(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result from the superclass' method</p>\n</div></li></ul></div></div></div><div id='method-cascadeBy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-cascadeBy' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-cascadeBy' class='name expandable'>cascadeBy</a>( <span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> fn, [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope], [<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> args]</span> )</div><div class='description'><div class='short'>Cascades down the tree from this node, calling the specified function with each node. ...</div><div class='long'><p>Cascades down the tree from this node, calling the specified function with each node. The arguments to the function\nwill be the args provided or the current node. If the function returns false at any point,\nthe cascade is stopped on that branch.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to call</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (this reference) in which the function is executed. Defaults to the current Node.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> (optional)<div class='sub-desc'><p>The args to call the function with. Defaults to passing the current Node.</p>\n</div></li></ul></div></div></div><div id='method-collapse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-collapse' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-collapse' class='name expandable'>collapse</a>( <span class='pre'>[<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> recursive], [<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> callback], [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope]</span> )</div><div class='description'><div class='short'>Collapse this node. ...</div><div class='long'><p>Collapse this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>recursive</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to recursively collapse all the children</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>The function to execute once the collapse completes</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope to run the callback in</p>\n</div></li></ul></div></div></div><div id='method-collapseChildren' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-collapseChildren' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-collapseChildren' class='name expandable'>collapseChildren</a>( <span class='pre'>[<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> recursive], [<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> callback], [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope]</span> )</div><div class='description'><div class='short'>Collapse all the children of this node. ...</div><div class='long'><p>Collapse all the children of this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>recursive</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>True to recursively collapse all the children</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>The function to execute once all the children are collapsed</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope to run the callback in</p>\n</div></li></ul></div></div></div><div id='method-contains' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-contains' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-contains' class='name expandable'>contains</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is an ancestor (at any point) of the passed node. ...</div><div class='long'><p>Returns true if this node is an ancestor (at any point) of the passed node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-copy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-copy' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-copy' class='name expandable'>copy</a>( <span class='pre'>[<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> id], [<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> deep]</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Creates a copy (clone) of this Node. ...</div><div class='long'><p>Creates a copy (clone) of this Node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>id</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>A new id, defaults to this Node's id.</p>\n</div></li><li><span class='pre'>deep</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to recursively copy all child Nodes into the new Node.\nFalse to copy without child Nodes.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>A copy of this Node.</p>\n</div></li></ul></div></div></div><div id='method-createNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-createNode' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-createNode' class='name expandable'>createNode</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> node</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Ensures that the passed object is an instance of a Record with the NodeInterface applied ...</div><div class='long'><p>Ensures that the passed object is an instance of a Record with the NodeInterface applied</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-destroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-destroy' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-destroy' class='name expandable'>destroy</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> silent</span> )</div><div class='description'><div class='short'>Destroys the node. ...</div><div class='long'><p>Destroys the node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>silent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-eachChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-eachChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-eachChild' class='name expandable'>eachChild</a>( <span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> fn, [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope], [<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> args]</span> )</div><div class='description'><div class='short'>Interates the child nodes of this node, calling the specified function with each node. ...</div><div class='long'><p>Interates the child nodes of this node, calling the specified function with each node. The arguments to the function\nwill be the args provided or the current node. If the function returns false at any point,\nthe iteration stops.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to call</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (this reference) in which the function is executed. Defaults to the current Node in iteration.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> (optional)<div class='sub-desc'><p>The args to call the function with. Defaults to passing the current Node.</p>\n</div></li></ul></div></div></div><div id='method-expand' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-expand' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-expand' class='name expandable'>expand</a>( <span class='pre'>[<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> recursive], [<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> callback], [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope]</span> )</div><div class='description'><div class='short'>Expand this node. ...</div><div class='long'><p>Expand this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>recursive</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to recursively expand all the children</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>The function to execute once the expand completes</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope to run the callback in</p>\n</div></li></ul></div></div></div><div id='method-expandChildren' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-expandChildren' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-expandChildren' class='name expandable'>expandChildren</a>( <span class='pre'>[<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> recursive], [<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> callback], [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope]</span> )</div><div class='description'><div class='short'>Expand all the children of this node. ...</div><div class='long'><p>Expand all the children of this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>recursive</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to recursively expand all the children</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>The function to execute once all the children are expanded</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope to run the callback in</p>\n</div></li></ul></div></div></div><div id='method-findChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-findChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-findChild' class='name expandable'>findChild</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> attribute, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> value, [<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> deep]</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Finds the first child that has the attribute with the specified value. ...</div><div class='long'><p>Finds the first child that has the attribute with the specified value.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>attribute</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The attribute name</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The value to search for</p>\n</div></li><li><span class='pre'>deep</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to search through nodes deeper than the immediate children</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>The found child or null if none was found</p>\n</div></li></ul></div></div></div><div id='method-findChildBy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-findChildBy' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-findChildBy' class='name expandable'>findChildBy</a>( <span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> fn, [<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> scope], [<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> deep]</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Finds the first child by a custom function. ...</div><div class='long'><p>Finds the first child by a custom function. The child matches if the function passed returns true.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>A function which must return true if the passed Node is the required Node.</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (this reference) in which the function is executed. Defaults to the Node being tested.</p>\n</div></li><li><span class='pre'>deep</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to search through nodes deeper than the immediate children</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>The found child or null if none was found</p>\n</div></li></ul></div></div></div><div id='method-getChildAt' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-getChildAt' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-getChildAt' class='name expandable'>getChildAt</a>( <span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> index</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Returns the child node at the specified index. ...</div><div class='long'><p>Returns the child node at the specified index.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDepth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-getDepth' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-getDepth' class='name expandable'>getDepth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></div><div class='description'><div class='short'>Returns depth of this node (the root node has a depth of 0) ...</div><div class='long'><p>Returns depth of this node (the root node has a depth of 0)</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getPath' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-getPath' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-getPath' class='name expandable'>getPath</a>( <span class='pre'>[<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> field], [<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> separator]</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></div><div class='description'><div class='short'>Gets the hierarchical path from the root of the current node. ...</div><div class='long'><p>Gets the hierarchical path from the root of the current node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>field</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The field to construct the path from. Defaults to the model idProperty.</p>\n</div></li><li><span class='pre'>separator</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>A separator to use.</p>\n<p>Defaults to: <code>&quot;/&quot;</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The node path</p>\n</div></li></ul></div></div></div><div id='method-hasChildNodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-hasChildNodes' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-hasChildNodes' class='name expandable'>hasChildNodes</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node has one or more child nodes, else false. ...</div><div class='long'><p>Returns true if this node has one or more child nodes, else false.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-indexOf' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-indexOf' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-indexOf' class='name expandable'>indexOf</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></div><div class='description'><div class='short'>Returns the index of a child node ...</div><div class='long'><p>Returns the index of a child node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The index of the node or -1 if it was not found</p>\n</div></li></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-method-initConfig' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> config</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><strong class='protected-signature'>protected</strong></div><div class='description'><div class='short'>Initialize configuration for this class. ...</div><div class='long'><p>Initialize configuration for this class. a typical example:</p>\n\n<pre><code>Ext.define('My.awesome.Class', {\n    // The default config\n    config: {\n        name: 'Awesome',\n        isAwesome: true\n    },\n\n    constructor: function(config) {\n        this.initConfig(config);\n\n        return this;\n    }\n});\n\nvar awesome = new My.awesome.Class({\n    name: 'Super Awesome'\n});\n\nalert(awesome.getName()); // 'Super Awesome'\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>mixins The mixin prototypes as key - value pairs</p>\n</div></li></ul></div></div></div><div id='method-insertBefore' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-insertBefore' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-insertBefore' class='name expandable'>insertBefore</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> refNode</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Inserts the first node before the second node in this nodes childNodes collection. ...</div><div class='long'><p>Inserts the first node before the second node in this nodes childNodes collection.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The node to insert</p>\n</div></li><li><span class='pre'>refNode</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The node to insert before (if null the node is appended)</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>The inserted node</p>\n</div></li></ul></div></div></div><div id='method-insertChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-insertChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-insertChild' class='name expandable'>insertChild</a>( <span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> index, <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a> node</span> ) : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a></div><div class='description'><div class='short'>Insert a node into this node ...</div><div class='long'><p>Insert a node into this node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The zero-based index to insert the node at</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><div class='sub-desc'><p>The node to insert</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a></span><div class='sub-desc'><p>The record you just inserted</p>\n</div></li></ul></div></div></div><div id='method-isAncestor' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isAncestor' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isAncestor' class='name expandable'>isAncestor</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if the passed node is an ancestor (at any point) of this node. ...</div><div class='long'><p>Returns true if the passed node is an ancestor (at any point) of this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isExpandable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isExpandable' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isExpandable' class='name expandable'>isExpandable</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node has one or more child nodes, or if the expandable\nnode attribute is explicitly specified as...</div><div class='long'><p>Returns true if this node has one or more child nodes, or if the <tt>expandable</tt>\nnode attribute is explicitly specified as true, otherwise returns false.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isExpanded' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isExpanded' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isExpanded' class='name expandable'>isExpanded</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is expaned ...</div><div class='long'><p>Returns true if this node is expaned</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isFirst' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isFirst' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isFirst' class='name expandable'>isFirst</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is the first child of its parent ...</div><div class='long'><p>Returns true if this node is the first child of its parent</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isLast' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isLast' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isLast' class='name expandable'>isLast</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is the last child of its parent ...</div><div class='long'><p>Returns true if this node is the last child of its parent</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isLeaf' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isLeaf' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isLeaf' class='name expandable'>isLeaf</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is a leaf ...</div><div class='long'><p>Returns true if this node is a leaf</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isLoaded' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isLoaded' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isLoaded' class='name expandable'>isLoaded</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is loaded ...</div><div class='long'><p>Returns true if this node is loaded</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isLoading' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isLoading' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isLoading' class='name expandable'>isLoading</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is loading ...</div><div class='long'><p>Returns true if this node is loading</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isRoot' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isRoot' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isRoot' class='name expandable'>isRoot</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is the root node ...</div><div class='long'><p>Returns true if this node is the root node</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isVisible' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-isVisible' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-isVisible' class='name expandable'>isVisible</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Returns true if this node is visible ...</div><div class='long'><p>Returns true if this node is visible</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-remove' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-remove' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-remove' class='name expandable'>remove</a>( <span class='pre'>[<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> destroy]</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Removes this node from its parent ...</div><div class='long'><p>Removes this node from its parent</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>destroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to destroy the node upon removal.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-removeAll' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-removeAll' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-removeAll' class='name expandable'>removeAll</a>( <span class='pre'>[<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> destroy]</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Removes all child nodes from this node. ...</div><div class='long'><p>Removes all child nodes from this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>destroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>&lt;True to destroy the node upon removal.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-removeChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-removeChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-removeChild' class='name expandable'>removeChild</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, [<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> destroy]</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Removes a child node from this node. ...</div><div class='long'><p>Removes a child node from this node.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The node to remove</p>\n</div></li><li><span class='pre'>destroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to destroy the node upon removal.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>The removed node</p>\n</div></li></ul></div></div></div><div id='method-replaceChild' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-replaceChild' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-replaceChild' class='name expandable'>replaceChild</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> newChild, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> oldChild</span> ) : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></div><div class='description'><div class='short'>Replaces one child node in this node with another. ...</div><div class='long'><p>Replaces one child node in this node with another.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newChild</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The replacement node</p>\n</div></li><li><span class='pre'>oldChild</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The node to replace</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a></span><div class='sub-desc'><p>The replaced node</p>\n</div></li></ul></div></div></div><div id='method-sort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-sort' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-sort' class='name expandable'>sort</a>( <span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> fn, [<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> recursive], [<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> suppressEvent]</span> )</div><div class='description'><div class='short'>Sorts this nodes children using the supplied sort function. ...</div><div class='long'><p>Sorts this nodes children using the supplied sort function.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>A function which, when passed two Nodes, returns -1, 0 or 1 depending upon required sort order.</p>\n</div></li><li><span class='pre'>recursive</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to apply this sort recursively</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>suppressEvent</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>True to not fire a sort event.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul></div></div></div><div id='method-statics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-method-statics' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-method-statics' class='name expandable'>statics</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><strong class='protected-signature'>protected</strong></div><div class='description'><div class='short'>Get the reference to the class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the class from which this object was instantiated. Note that unlike <a href=\"#!/api/Ext.Base-property-self\" rel=\"Ext.Base-property-self\" class=\"docClass\">self</a>,\n<code>this.statics()</code> is scope-independent and it always returns the class from which it was called, regardless of what\n<code>this</code> points to during run-time</p>\n\n<pre><code>Ext.define('My.Cat', {\n    statics: {\n        totalCreated: 0,\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        var statics = this.statics();\n\n        alert(statics.speciesName);     // always equals to 'Cat' no matter what 'this' refers to\n                                        // equivalent to: My.Cat.speciesName\n\n        alert(this.self.speciesName);   // dependent on 'this'\n\n        statics.totalCreated++;\n\n        return this;\n    },\n\n    clone: function() {\n        var cloned = new this.self;                      // dependent on 'this'\n\n        cloned.groupName = this.statics().speciesName;   // equivalent to: My.Cat.speciesName\n\n        return cloned;\n    }\n});\n\n\nExt.define('My.SnowLeopard', {\n    extend: 'My.Cat',\n\n    statics: {\n        speciesName: 'Snow Leopard'     // My.SnowLeopard.speciesName = 'Snow Leopard'\n    },\n\n    constructor: function() {\n        this.callParent();\n    }\n});\n\nvar cat = new My.Cat();                 // alerts 'Cat', then alerts 'Cat'\n\nvar snowLeopard = new My.SnowLeopard(); // alerts 'Cat', then alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(Ext.getClassName(clone));         // alerts 'My.SnowLeopard'\nalert(clone.groupName);                 // alerts 'Cat'\n\nalert(My.Cat.totalCreated);             // alerts 3\n</code></pre>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-updateInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-method-updateInfo' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-method-updateInfo' class='name expandable'>updateInfo</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> silent</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>Updates general data of this node like isFirst, isLast, depth. ...</div><div class='long'><p>Updates general data of this node like isFirst, isLast, depth. This\nmethod is internally called after a node is moved. This shouldn't\nhave to be called by the developer unless they are creating custom\nTree plugins.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>silent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static Methods</h3><div id='static-method-addStatics' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-addStatics' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-addStatics' class='name expandable'>addStatics</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Add / override static properties of this class. ...</div><div class='long'><p>Add / override static properties of this class.</p>\n\n<pre><code>Ext.define('My.cool.Class', {\n    ...\n});\n\nMy.cool.Class.addStatics({\n    someProperty: 'someValue',      // My.cool.Class.someProperty = 'someValue'\n    method1: function() { ... },    // My.cool.Class.method1 = function() { ... };\n    method2: function() { ... }     // My.cool.Class.method2 = function() { ... };\n});\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-borrow' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-borrow' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-borrow' class='name expandable'>borrow</a>( <span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a> fromClass, <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[] members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Borrow another class' members to the prototype of this class. ...</div><div class='long'><p>Borrow another class' members to the prototype of this class.</p>\n\n<pre><code>Ext.define('Bank', {\n    money: '$$$',\n    printMoney: function() {\n        alert('$$$$$$$');\n    }\n});\n\nExt.define('Thief', {\n    ...\n});\n\nThief.borrow(Bank, ['money', 'printMoney']);\n\nvar steve = new Thief();\n\nalert(steve.money); // alerts '$$$'\nsteve.printMoney(); // alerts '$$$$$$$'\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fromClass</span> : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><div class='sub-desc'><p>The class to borrow members from</p>\n</div></li><li><span class='pre'>members</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'><p>The names of the members to borrow</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-create' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-create' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-create' class='name expandable'>create</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Create a new instance of this Class. ...</div><div class='long'><p>Create a new instance of this Class.</p>\n\n<pre><code>Ext.define('My.cool.Class', {\n    ...\n});\n\nMy.cool.Class.create({\n    someConfig: true\n});\n</code></pre>\n\n<p>All parameters are passed to the constructor of the class.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the created instance.</p>\n</div></li></ul></div></div></div><div id='static-method-createAlias' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-createAlias' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-createAlias' class='name expandable'>createAlias</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> alias, <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> origin</span> )<strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Create aliases for existing prototype methods. ...</div><div class='long'><p>Create aliases for existing prototype methods. Example:</p>\n\n<pre><code>Ext.define('My.cool.Class', {\n    method1: function() { ... },\n    method2: function() { ... }\n});\n\nvar test = new My.cool.Class();\n\nMy.cool.Class.createAlias({\n    method3: 'method1',\n    method4: 'method2'\n});\n\ntest.method3(); // test.method1()\n\nMy.cool.Class.createAlias('method5', 'method3');\n\ntest.method5(); // test.method3() -&gt; test.method1()\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>alias</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new method name, or an object to set multiple aliases. See\n<a href=\"#!/api/Ext.Function-method-flexSetter\" rel=\"Ext.Function-method-flexSetter\" class=\"docClass\">flexSetter</a></p>\n</div></li><li><span class='pre'>origin</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The original method name</p>\n</div></li></ul></div></div></div><div id='static-method-decorate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-static-method-decorate' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-static-method-decorate' class='name expandable'>decorate</a>( <span class='pre'><a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a> record</span> )<strong class='static-signature'>static</strong></div><div class='description'><div class='short'>This method allows you to decorate a Record's prototype to implement the NodeInterface. ...</div><div class='long'><p>This method allows you to decorate a Record's prototype to implement the NodeInterface.\nThis adds a set of methods, new events, new properties and new fields on every Record\nwith the same Model as the passed Record.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>record</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><div class='sub-desc'><p>The Record you want to decorate the prototype of.</p>\n</div></li></ul></div></div></div><div id='static-method-getName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-getName' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Get the current class' name in string format. ...</div><div class='long'><p>Get the current class' name in string format.</p>\n\n<pre><code>Ext.define('My.cool.Class', {\n    constructor: function() {\n        alert(this.self.getName()); // alerts 'My.cool.Class'\n    }\n});\n\nMy.cool.Class.getName(); // 'My.cool.Class'\n</code></pre>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>className</p>\n</div></li></ul></div></div></div><div id='static-method-implement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-implement' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-implement' class='name expandable'>implement</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> members</span> )<strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Add methods / properties to the prototype of this class. ...</div><div class='long'><p>Add methods / properties to the prototype of this class.</p>\n\n<pre><code>Ext.define('My.awesome.Cat', {\n    constructor: function() {\n        ...\n    }\n});\n\n My.awesome.Cat.implement({\n     meow: function() {\n        alert('Meowww...');\n     }\n });\n\n var kitty = new My.awesome.Cat;\n kitty.meow();\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-override' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='definedIn docClass'>Ext.Base</a><br/><a href='source/Base3.html#Ext-Base-static-method-override' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.Base-static-method-override' class='name expandable'>override</a>( <span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><strong class='static-signature'>static</strong></div><div class='description'><div class='short'>Override prototype members of this class. ...</div><div class='long'><p>Override prototype members of this class. Overridden methods can be invoked via\n<a href=\"#!/api/Ext.Base-method-callOverridden\" rel=\"Ext.Base-method-callOverridden\" class=\"docClass\">callOverridden</a></p>\n\n<pre><code>Ext.define('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n\n        return this;\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callOverridden();\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div></div></div><div id='m-event'><div class='definedBy'>Defined By</div><h3 class='members-title'>Events</h3><div class='subsection'><div id='event-append' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-append' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-append' class='name expandable'>append</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> index, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when a new child node is appended ...</div><div class='long'><p>Fires when a new child node is appended</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The newly appended node</p>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the newly appended node</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforeappend' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-beforeappend' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-beforeappend' class='name expandable'>beforeappend</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires before a new child is appended, return false to cancel the append. ...</div><div class='long'><p>Fires before a new child is appended, return false to cancel the append.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The child node to be appended</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforecollapse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-beforecollapse' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-beforecollapse' class='name expandable'>beforecollapse</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires before this node is collapsed. ...</div><div class='long'><p>Fires before this node is collapsed.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The collapsing node</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforeexpand' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-beforeexpand' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-beforeexpand' class='name expandable'>beforeexpand</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires before this node is expanded. ...</div><div class='long'><p>Fires before this node is expanded.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The expanding node</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforeinsert' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-beforeinsert' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-beforeinsert' class='name expandable'>beforeinsert</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> refNode, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires before a new child is inserted, return false to cancel the insert. ...</div><div class='long'><p>Fires before a new child is inserted, return false to cancel the insert.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The child node to be inserted</p>\n</div></li><li><span class='pre'>refNode</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The child node the node is being inserted before</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforemove' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-beforemove' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-beforemove' class='name expandable'>beforemove</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> oldParent, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> newParent, <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> index, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires before this node is moved to a new location in the tree. ...</div><div class='long'><p>Fires before this node is moved to a new location in the tree. Return false to cancel the move.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>oldParent</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The parent of this node</p>\n</div></li><li><span class='pre'>newParent</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The new parent this node is moving to</p>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index it is being moved to</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforeremove' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-beforeremove' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-beforeremove' class='name expandable'>beforeremove</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires before a child is removed, return false to cancel the remove. ...</div><div class='long'><p>Fires before a child is removed, return false to cancel the remove.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The child node to be removed</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-collapse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-collapse' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-collapse' class='name expandable'>collapse</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when this node is collapsed. ...</div><div class='long'><p>Fires when this node is collapsed.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The collapsing node</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-expand' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-expand' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-expand' class='name expandable'>expand</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when this node is expanded. ...</div><div class='long'><p>Fires when this node is expanded.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The expanding node</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-insert' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-insert' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-insert' class='name expandable'>insert</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> refNode, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when a new child node is inserted. ...</div><div class='long'><p>Fires when a new child node is inserted.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The child node inserted</p>\n</div></li><li><span class='pre'>refNode</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The child node the node was inserted before</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-move' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-move' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-move' class='name expandable'>move</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> oldParent, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> newParent, <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> index, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when this node is moved to a new location in the tree ...</div><div class='long'><p>Fires when this node is moved to a new location in the tree</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>oldParent</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The old parent of this node</p>\n</div></li><li><span class='pre'>newParent</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The new parent of this node</p>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index it was moved to</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-remove' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-remove' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-remove' class='name expandable'>remove</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> node, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when a child node is removed ...</div><div class='long'><p>Fires when a child node is removed</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node</p>\n</div></li><li><span class='pre'>node</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>The removed node</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-sort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.data.NodeInterface' rel='Ext.data.NodeInterface' class='definedIn docClass'>Ext.data.NodeInterface</a><br/><a href='source/NodeInterface.html#Ext-data-NodeInterface-event-sort' target='_blank' class='viewSource'>view source</a></div><a href='#!/api/Ext.data.NodeInterface-event-sort' class='name expandable'>sort</a>( <span class='pre'><a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a> this, <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>[] childNodes, <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> eOpts</span> )</div><div class='description'><div class='short'>Fires when this node's childNodes are sorted. ...</div><div class='long'><p>Fires when this node's childNodes are sorted.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a><div class='sub-desc'><p>This node.</p>\n</div></li><li><span class='pre'>childNodes</span> : <a href=\"#!/api/Ext.data.NodeInterface\" rel=\"Ext.data.NodeInterface\" class=\"docClass\">Ext.data.NodeInterface</a>[]<div class='sub-desc'><p>The childNodes of this node.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.util.Observable-method-addListener\" rel=\"Ext.util.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div></div></div></div></div>","allMixins":[],"meta":{},"requires":["Ext.data.Field"],"deprecated":null,"extends":"Ext.Base","inheritable":false,"static":false,"superclasses":["Ext.Base","Ext.data.NodeInterface"],"singleton":false,"code_type":"ext_define","alias":null,"statics":{"property":[],"css_var":[],"css_mixin":[],"cfg":[],"method":[{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"addStatics","id":"static-method-addStatics"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"borrow","id":"static-method-borrow"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"create","id":"static-method-create"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"createAlias","id":"static-method-createAlias"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"decorate","id":"static-method-decorate"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"getName","id":"static-method-getName"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"implement","id":"static-method-implement"},{"tagname":"method","deprecated":null,"static":true,"owner":"Ext.Base","template":false,"required":null,"protected":false,"name":"override","id":"static-method-override"}],"event":[]},"subclasses":[],"uses":[],"protected":false,"mixins":[],"members":{"property":[{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"childNodes","id":"property-childNodes"},{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"firstChild","id":"property-firstChild"},{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"lastChild","id":"property-lastChild"},{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"nextSibling","id":"property-nextSibling"},{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"parentNode","id":"property-parentNode"},{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"previousSibling","id":"property-previousSibling"},{"tagname":"property","deprecated":null,"static":false,"owner":"Ext.Base","template":null,"required":null,"protected":true,"name":"self","id":"property-self"}],"css_var":[],"css_mixin":[],"cfg":[{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"allowDrag","id":"cfg-allowDrag"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"allowDrop","id":"cfg-allowDrop"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"checked","id":"cfg-checked"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"children","id":"cfg-children"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"cls","id":"cfg-cls"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"depth","id":"cfg-depth"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"expandable","id":"cfg-expandable"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"expanded","id":"cfg-expanded"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"href","id":"cfg-href"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"hrefTarget","id":"cfg-hrefTarget"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"icon","id":"cfg-icon"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"iconCls","id":"cfg-iconCls"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"index","id":"cfg-index"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"isFirst","id":"cfg-isFirst"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"isLast","id":"cfg-isLast"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"leaf","id":"cfg-leaf"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"loaded","id":"cfg-loaded"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"loading","id":"cfg-loading"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"parentId","id":"cfg-parentId"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"qtip","id":"cfg-qtip"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"qtitle","id":"cfg-qtitle"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"root","id":"cfg-root"},{"tagname":"cfg","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":false,"protected":false,"name":"text","id":"cfg-text"}],"method":[{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"appendChild","id":"method-appendChild"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"bubble","id":"method-bubble"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.Base","template":false,"required":null,"protected":true,"name":"callOverridden","id":"method-callOverridden"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.Base","template":false,"required":null,"protected":true,"name":"callParent","id":"method-callParent"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"cascadeBy","id":"method-cascadeBy"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"collapse","id":"method-collapse"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"collapseChildren","id":"method-collapseChildren"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"contains","id":"method-contains"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"copy","id":"method-copy"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"createNode","id":"method-createNode"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"destroy","id":"method-destroy"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"eachChild","id":"method-eachChild"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"expand","id":"method-expand"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"expandChildren","id":"method-expandChildren"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"findChild","id":"method-findChild"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"findChildBy","id":"method-findChildBy"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"getChildAt","id":"method-getChildAt"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"getDepth","id":"method-getDepth"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"getPath","id":"method-getPath"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"hasChildNodes","id":"method-hasChildNodes"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"indexOf","id":"method-indexOf"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.Base","template":false,"required":null,"protected":true,"name":"initConfig","id":"method-initConfig"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"insertBefore","id":"method-insertBefore"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"insertChild","id":"method-insertChild"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isAncestor","id":"method-isAncestor"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isExpandable","id":"method-isExpandable"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isExpanded","id":"method-isExpanded"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isFirst","id":"method-isFirst"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isLast","id":"method-isLast"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isLeaf","id":"method-isLeaf"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isLoaded","id":"method-isLoaded"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isLoading","id":"method-isLoading"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isRoot","id":"method-isRoot"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"isVisible","id":"method-isVisible"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"remove","id":"method-remove"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"removeAll","id":"method-removeAll"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"removeChild","id":"method-removeChild"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"replaceChild","id":"method-replaceChild"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"sort","id":"method-sort"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.Base","template":false,"required":null,"protected":true,"name":"statics","id":"method-statics"},{"tagname":"method","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":false,"required":null,"protected":false,"name":"updateInfo","id":"method-updateInfo"}],"event":[{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"append","id":"event-append"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"beforeappend","id":"event-beforeappend"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"beforecollapse","id":"event-beforecollapse"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"beforeexpand","id":"event-beforeexpand"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"beforeinsert","id":"event-beforeinsert"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"beforemove","id":"event-beforemove"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"beforeremove","id":"event-beforeremove"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"collapse","id":"event-collapse"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"expand","id":"event-expand"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"insert","id":"event-insert"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"move","id":"event-move"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"remove","id":"event-remove"},{"tagname":"event","deprecated":null,"static":false,"owner":"Ext.data.NodeInterface","template":null,"required":null,"protected":false,"name":"sort","id":"event-sort"}]},"private":false,"component":false,"name":"Ext.data.NodeInterface","alternateClassNames":[],"id":"class-Ext.data.NodeInterface","mixedInto":[],"xtypes":{},"files":[{"href":"NodeInterface.html#Ext-data-NodeInterface","filename":"NodeInterface.js"}]});